package launcher;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.collections.ObservableMap;
import javafx.stage.Stage;
import modele.Capteur;
import modele.CapteurVirtuel;
import modele.Stub;
import view.TreeViewCapteur;
import view.ViewCapteurVirtuel;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Random;

public class Launch extends Application {

    @Override
    public void start(Stage primaryStage) throws IOException {

        /*Parent root = FXMLLoader.load(getClass().getResource("/fxml/Capteur.fxml"));
        Scene scene = new Scene(root);*/
        CapteurVirtuel leCapteurVirtuel = (CapteurVirtuel) Stub.genererCapteur();
        ObservableList<Capteur> capteurs = Stub.genererObservableList();
        TreeViewCapteur treeViewCapteur = new TreeViewCapteur(capteurs,"/fxml/TreeViewCapteur.fxml","Mon capteur");

        Thread t = new Thread(() -> {
            Random r = new Random();
            while (true) {
                try {
                    Thread.sleep(1000);
                    Platform.runLater(() -> {
                        for (ObservableMap.Entry<Float, Capteur> map : leCapteurVirtuel.getLesCapteurs().entrySet()) {
                            try {
                                map.getValue().genTemp(r.nextFloat(50));
                            } catch (IOException e) {
                                throw new RuntimeException(e);
                            }
                        }
                        leCapteurVirtuel.genTemp(1);
                    });

                } catch (InterruptedException e) {
                    throw new RuntimeException(e);
                }
            }
        });

        t.start();

    }

    public static void main(String args[]) {
        Application.launch(args);
    }
}